%define pypi_name ipywidgets


Name:           python-%{pypi_name}
Version:        7.5.1
Release:        %mkrel 1
Group:          Development/Python
Summary:        IPython HTML widgets for Jupyter (Python 3)

License:        BSD
URL:            http://ipython.org/
Source0:        https://pypi.io/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-use-setuptools-for-everything-so-python-Depends-subs.patch
Patch1:         ipywidgets-7.5.1-fix-dependencies.patch
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
Provides:       python3-%{pypi_name} = %version-%release

%description
Interactive HTML widgets for Jupyter notebooks and the IPython kernel.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info


%build
%py3_build


%install
%py3_install


%files
%doc README.md docs/source/examples/
%license LICENSE
%{python3_sitelib}/



%changelog
* Mon Feb 17 2020 daviddavid <daviddavid> 7.5.1-1.mga8
+ Revision: 1536957
- new version: 7.5.1
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 6.0.0-5.mga8
+ Revision: 1445337
- rebuild for python-3.8

* Sat Jan 12 2019 tmb <tmb> 6.0.0-4.mga7
+ Revision: 1355237
- rebuild for python 3.7

* Tue Jan 08 2019 tv <tv> 6.0.0-3.mga7
+ Revision: 1351680
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 6.0.0-2.mga7
+ Revision: 1289066
- Mageia 7 Mass Rebuild

* Tue Aug 08 2017 philippem <philippem> 6.0.0-1.mga7
+ Revision: 1139029
- update to 6.0.0, since ipython is py3 only, we provide only py3

* Sat Aug 05 2017 pterjan <pterjan> 5.2.2-2.mga7
+ Revision: 1135460
- Rebuild for python 3.6

* Tue Jul 19 2016 joequant <joequant> 5.2.2-1.mga6
+ Revision: 1042587
- update to 5.2.2

* Wed May 18 2016 philippem <philippem> 5.1.4-1.mga6
+ Revision: 1016640
- update to 5.1.4

* Tue May 03 2016 philippem <philippem> 5.1.3-1.mga6
+ Revision: 1009017
- update to 5.1.3

* Fri Apr 29 2016 philippem <philippem> 5.1.2-1.mga6
+ Revision: 1007704
- update to 5.1.2

* Thu Apr 28 2016 philippem <philippem> 5.1.0-1.mga6
+ Revision: 1007170
- update to 5.1.0

* Sun Apr 24 2016 philippem <philippem> 5.0.0-3.mga6
+ Revision: 1005843
- relax requires for widgetsnbextension (add the patch to svn)
- relax requires for widgetsnbextension

* Wed Apr 20 2016 philippem <philippem> 5.0.0-1.mga6
+ Revision: 1003703
- update to 5.0.0

* Mon Apr 18 2016 philippem <philippem> 4.1.1-1.mga6
+ Revision: 1003485
- imported package python-ipywidgets

